"use strict";
var path = require("path");
var fs = require("fs");
var utils_1 = require("../utils");
function makeFormatCodeOptions(fileName, opts, formatSettings) {
    var baseDir = opts.baseDir ? path.resolve(opts.baseDir) : path.dirname(path.resolve(fileName));
    var configFileName = utils_1.getConfigFileName(baseDir, "tsconfig.json");
    if (!configFileName) {
        return formatSettings;
    }
    if (opts.verbose) {
        console.log("read " + configFileName + " for " + fileName);
    }
    var config = utils_1.parseJSON(fs.readFileSync(configFileName, "utf-8"));
    if (!config.compilerOptions || !config.compilerOptions.newLine) {
        return formatSettings;
    }
    if (config.compilerOptions.newLine.toLowerCase() === "crlf") {
        formatSettings.newLineCharacter = "\r\n";
    }
    else if (config.compilerOptions.newLine.toLowerCase() === "lf") {
        formatSettings.newLineCharacter = "\n";
    }
    return formatSettings;
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = makeFormatCodeOptions;
//# sourceMappingURL=tsconfigjson.js.map